bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: coreutils-8.3: test failed: ls/stat-dtype and touch/no-dereference


From: Eric Blake
Subject: Re: coreutils-8.3: test failed: ls/stat-dtype and touch/no-dereference
Date: Tue, 12 Jan 2010 05:59:27 -0700
User-agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.23) Gecko/20090812 Thunderbird/2.0.0.23 Mnenhy/0.7.6.666

According to Eric Blake on 1/8/2010 11:55 AM:
> 
> So it seems like this would do the trick (but I have not yet tested it on
> a system with the mismatch between kernel and glibc, so no ChangeLog yet...)

OK to apply before 8.4?

-- 
Don't work too hard, make some time for fun as well!

Eric Blake             address@hidden
From ee6deaa7bc90b26efcc1d23c8b99900d0c027fcc Mon Sep 17 00:00:00 2001
From: Eric Blake <address@hidden>
Date: Fri, 8 Jan 2010 12:01:08 -0700
Subject: [PATCH] tests: avoid spurious failure on old kernel

* tests/touch/no-dereference: Skip test if utimensat doesn't
support symlinks.
Reported by Bernhard Voelker.
---
 tests/touch/no-dereference |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

diff --git a/tests/touch/no-dereference b/tests/touch/no-dereference
index 7adacc4..c1a6748 100755
--- a/tests/touch/no-dereference
+++ b/tests/touch/no-dereference
@@ -48,8 +48,17 @@ grep '^#define HAVE_LUTIMES' "$CONFIG_HEADER" > /dev/null ||
   skip_test_ 'this system lacks the utimensat function'

 # Changing time of dangling symlink is okay.
-touch -h dangling || fail=1
-test -f nowhere && fail=1
+# Skip the test if this fails, but the error text corresponds to
+# ENOSYS (possible with old kernel but new glibc).
+touch -h dangling 2> err
+case $? in
+  0) test -f nowhere && fail=1
+     test -s err && fail=1;;
+  1) grep 'Function not implemented' err \
+       && skip_test_ 'this system lacks the utimensat function'
+     fail=1;;
+  *) fail=1;;
+esac

 # Change the mtime of a symlink.
 touch -m -h -d 2009-10-10 link || fail=1
-- 
1.6.4.2

Attachment: signature.asc
Description: OpenPGP digital signature


reply via email to

[Prev in Thread] Current Thread [Next in Thread]